Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming.java
Class javaURLContextFactory

    java.lang.Object
      org.mortbay.naming.java.javaURLContextFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class javaURLContextFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

javaURLContextFactory

This is the URL context factory for the java: URL.

#### Notes

#### Usage

###

###

    Constructor Summary

    javaURLContextFactory()

    Method Summary

     java.lang.Object
    getObjectInstance(java.lang.Object url,
                      javax.naming.Name name,
                      javax.naming.Context ctx,
                      java.util.Hashtable env)

              Either return a new context or the resolution of a url.

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    javaURLContextFactory

    public javaURLContextFactory()

    Method Detail

    getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object url,
                                              javax.naming.Name name,
                                              javax.naming.Context ctx,
                                              java.util.Hashtable env)
                                       throws java.lang.Exception

    Either return a new context or the resolution of a url.

    Specified by:getObjectInstance in interface javax.naming.spi.ObjectFactory

    Parameters:url - an Object valuename - a Name valuectx - a Context valueenv - a Hashtable value
    Returns:a new context or the resolved object for the url
    Throws:
    java.lang.Exception - if an error occurs

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.